<script>
    export let data=[];
    export let Xscale;
    export let Yscale;

let pathGenerator = (d) => {
  //console.log(d)
  let path = "M 0," + Yscale(0);
  d.forEach((val, i) => {
    path += " " + Xscale(i) + ',' + Yscale(val)
  })
  //console.log(path)
  return path;
}
</script>

<style>
    path{
        fill: orange;
    }
</style>

<path d={pathGenerator(data)} />
